library(stockassessment)
load("run/model.RData")
FC<-list()
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,1,1), label="SQ all years", processNoiseF = FALSE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,NA,NA), fval=c(NA,NA,0.000001, 0.000001), label="SQ then zero", processNoiseF = FALSE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,NA,NA), fval=c(NA,NA,0.167, 0.167), label="Fmsy adjusted for stock being below MSY Btrigger", processNoiseF = FALSE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,NA,NA), fval=c(NA,NA,0.215, 0.215), label="Fmsy for rec at age 3 adjusted for stock being below MSY Btrigger", processNoiseF = FALSE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,NA,NA), fval=c(NA,NA,0.138, 0.138), label="Fmsy for Blim=average SSB (rec age 2) adjusted for stock being below MSY Btrigger", processNoiseF = FALSE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,NA,NA), fval=c(NA,NA,0.138, 0.138), label="Fmsy for Blim=average SSB (rec age 3) adjusted for stock being below MSY Btrigger", processNoiseF = FALSE)
set.seed(12345)
FC[[length(FC)+1]] <- forecast(fit, fscale=c(1,1,NA,NA), fval=c(NA,NA,0.145, 0.145), label="F0.1", processNoiseF = FALSE)
save(FC, file="run/forecast.RData")
